Bug 1962010 - drill fails on sig chase
Summary: drill fails on sig chase
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ldns
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-19 08:14 UTC by Stanislav Levin
Modified: 2021-05-29 01:17 UTC (History)
2 users (show)

Fixed In Version: ldns-1.7.1-4.fc35 ldns-1.7.1-4.fc34 ldns-1.7.1-4.fc33
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-20 22:57:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Stanislav Levin 2021-05-19 08:14:00 UTC
As of F34 drill fails on sig chasing.
This was triggered by GCC11(F34 switched to).
The ldns code breaks strict aliasing and should be built with '-fno-strict-aliasing'.

FreeIPA is affected by this:
https://pagure.io/freeipa/issue/8793

Please see upstream ticket for details:
https://github.com/NLnetLabs/ldns/issues/131

Comment 1 Fedora Update System 2021-05-20 22:56:38 UTC
FEDORA-2021-f81608e38b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f81608e38b

Comment 2 Fedora Update System 2021-05-20 22:57:25 UTC
FEDORA-2021-f81608e38b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2021-05-21 01:56:56 UTC
FEDORA-2021-d72be13d11 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d72be13d11

Comment 4 Fedora Update System 2021-05-21 01:57:09 UTC
FEDORA-2021-eebc69f7ea has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-eebc69f7ea

Comment 5 Fedora Update System 2021-05-21 03:42:05 UTC
FEDORA-2021-d72be13d11 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d72be13d11`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d72be13d11

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-05-21 03:56:29 UTC
FEDORA-2021-eebc69f7ea has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-eebc69f7ea`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-eebc69f7ea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-05-24 01:01:41 UTC
FEDORA-2021-d72be13d11 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Stanislav Levin 2021-05-24 10:55:11 UTC
Thank you! Verified on F34.

Comment 9 Fedora Update System 2021-05-29 01:17:08 UTC
FEDORA-2021-eebc69f7ea has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.